Skip to main content
POST
/
leads
Create lead
curl --request POST \
  --url https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/leads \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "title": "Acme Corp",
  "status_name": "new",
  "meta_data": {
    "about": {
      "description": "Enterprise SaaS prospect.",
      "url": "https://acme.com"
    }
  }
}
'
{
  "http_code": 201,
  "status": "success",
  "message": "Lead created",
  "data": {
    "id": 42,
    "title": "Acme Corp",
    "status_name": "new",
    "meta_data": {
      "about": {
        "description": "Enterprise SaaS prospect.",
        "url": "https://acme.com"
      }
    },
    "created_at": "2026-04-07T12:00:00.000Z"
  }
}

Authorizations

X-API-Key
string
header
required

Your Flozy API key. Starts with flz_live_.

Body

application/json
title
string
required
Maximum string length: 200
Example:

"Acme Corp"

status_name
string

Status slug. Auto-created if it does not exist. Use GET /lead-statuses to list existing slugs.

Maximum string length: 100
Example:

"in_progress"

meta_data
object

Response

Lead created.